Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# widget.h File Reference

A GtkWidget C++ wrapper interface. More...

`#include <inti/gtk/object.h>`
`#include <inti/atk/implementor.h>`
`#include <inti/gtk/adjustment.h>`
`#include <inti/gtk/enums.h>`
`#include <inti/gdk/events.h>`
`#include <inti/gtk/selection.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Atk
- namespace Inti::G
- namespace Inti::Gdk
- namespace Inti::Gtk
- namespace Inti::Pango

## Detailed Description

A GtkWidget C++ wrapper interface.

Provides Widget, the base class for widgets that make up the GTK+ graphical user interface, such as windows, menus, buttons, scrollbars editors, drawing areas, and so on.
Main Page - Footer